<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: io_mux_reg_t Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="structio__mux__reg__t-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">io_mux_reg_t Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a82e40977cf5f00dd55299ef77e6a6ae1"><td class="memItemLeft" ><a id="a82e40977cf5f00dd55299ef77e6a6ae1"></a>
union {</td></tr>
<tr class="memitem:a322bf64e71195e98dece33af382faa74"><td class="memItemLeft" ><a id="a322bf64e71195e98dece33af382faa74"></a>
&#160;&#160;&#160;struct {</td></tr>
<tr class="memitem:abbb0d7f956424ba3f3c4580771550776"><td class="memItemLeft" >
&#160;&#160;&#160;&#160;&#160;&#160;uint32_t&#160;&#160;&#160;<b>mcu_oe</b>: 1</td></tr>
<tr class="separator:abbb0d7f956424ba3f3c4580771550776"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaaf9a61d4158e018e5fa2cc1fff54bf0"><td class="memItemLeft" >
&#160;&#160;&#160;&#160;&#160;&#160;uint32_t&#160;&#160;&#160;<b>slp_sel</b>: 1</td></tr>
<tr class="separator:aaaf9a61d4158e018e5fa2cc1fff54bf0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a30983741d6ec3fd01cfa6b5efa3019e3"><td class="memItemLeft" >
&#160;&#160;&#160;&#160;&#160;&#160;uint32_t&#160;&#160;&#160;<b>mcu_wpd</b>: 1</td></tr>
<tr class="separator:a30983741d6ec3fd01cfa6b5efa3019e3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6dd880c4736c11da5fbd7101edda43bf"><td class="memItemLeft" >
&#160;&#160;&#160;&#160;&#160;&#160;uint32_t&#160;&#160;&#160;<b>mcu_wpu</b>: 1</td></tr>
<tr class="separator:a6dd880c4736c11da5fbd7101edda43bf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a88ae136fa87b733e105b0750f7541c13"><td class="memItemLeft" >
&#160;&#160;&#160;&#160;&#160;&#160;uint32_t&#160;&#160;&#160;<b>mcu_ie</b>: 1</td></tr>
<tr class="separator:a88ae136fa87b733e105b0750f7541c13"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8c43877e89741950a8efb90999c7e22d"><td class="memItemLeft" >
&#160;&#160;&#160;&#160;&#160;&#160;uint32_t&#160;&#160;&#160;<b>mcu_drb</b>: 2</td></tr>
<tr class="separator:a8c43877e89741950a8efb90999c7e22d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1093a477332e5e2430713caf5fb530d9"><td class="memItemLeft" >
&#160;&#160;&#160;&#160;&#160;&#160;uint32_t&#160;&#160;&#160;<b>func_wpd</b>: 1</td></tr>
<tr class="separator:a1093a477332e5e2430713caf5fb530d9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a547a8a9555f189e029a83cd9b15c9d59"><td class="memItemLeft" >
&#160;&#160;&#160;&#160;&#160;&#160;uint32_t&#160;&#160;&#160;<b>func_wpu</b>: 1</td></tr>
<tr class="separator:a547a8a9555f189e029a83cd9b15c9d59"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a526d95a4a95cb189a5aa0f40a3052168"><td class="memItemLeft" >
&#160;&#160;&#160;&#160;&#160;&#160;uint32_t&#160;&#160;&#160;<b>func_ie</b>: 1</td></tr>
<tr class="separator:a526d95a4a95cb189a5aa0f40a3052168"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa8a2449027e875d39d509a86a4e8cddf"><td class="memItemLeft" >
&#160;&#160;&#160;&#160;&#160;&#160;uint32_t&#160;&#160;&#160;<b>func_drv</b>: 2</td></tr>
<tr class="separator:aa8a2449027e875d39d509a86a4e8cddf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaaad175af5abe913b87ef9f7b15b9537"><td class="memItemLeft" >
&#160;&#160;&#160;&#160;&#160;&#160;uint32_t&#160;&#160;&#160;<b>mcu_sel</b>: 3</td></tr>
<tr class="separator:aaaad175af5abe913b87ef9f7b15b9537"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1a27bc161a6bfc966900bd8b4408f6e0"><td class="memItemLeft" >
&#160;&#160;&#160;&#160;&#160;&#160;uint32_t&#160;&#160;&#160;<b>reserved15</b>: 17</td></tr>
<tr class="separator:a1a27bc161a6bfc966900bd8b4408f6e0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a322bf64e71195e98dece33af382faa74"><td class="memItemLeft" valign="top">&#160;&#160;&#160;}&#160;</td><td class="memItemRight" valign="bottom"></td></tr>
<tr class="separator:a322bf64e71195e98dece33af382faa74"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afdd6f1da4497e7747e3f40c2f01f52a4"><td class="memItemLeft" >
&#160;&#160;&#160;uint32_t&#160;&#160;&#160;<b>val</b></td></tr>
<tr class="separator:afdd6f1da4497e7747e3f40c2f01f52a4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a82e40977cf5f00dd55299ef77e6a6ae1"><td class="memItemLeft" valign="top">};&#160;</td><td class="memItemRight" valign="bottom"></td></tr>
<tr class="separator:a82e40977cf5f00dd55299ef77e6a6ae1"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>System.cpp</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.15
</small></address>
</body>
</html>
